> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.useroot.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.useroot.com/_mcp/server.

# List payment methods for payer

GET https://api.useroot.com/api/payers/{payer_id}/payment-methods

Retrieve a paginated list of payment methods for a payer.

Reference: https://docs.useroot.com/api-reference/payment-methods-api/payer-payment-methods-api/list-payer-payment-methods

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: '[Code Generated] Root - Instant Account to Account Money Movement'
  version: 1.0.0
paths:
  /api/payers/{payer_id}/payment-methods:
    get:
      operationId: list-payer-payment-methods
      summary: List payment methods for payer
      description: Retrieve a paginated list of payment methods for a payer.
      tags:
        - payerPaymentMethodsApi
      parameters:
        - name: payer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: cursor
          in: query
          description: Pagination cursor
          required: false
          schema:
            type:
              - string
              - 'null'
        - name: limit
          in: query
          description: Number of items per page.
          required: false
          schema:
            type:
              - integer
              - 'null'
            default: 50
        - name: order
          in: query
          description: Sort order
          required: false
          schema:
            oneOf:
              - $ref: '#/components/schemas/SortOrder'
              - type: 'null'
            default: desc
        - name: x-api-key
          in: header
          description: >-
            RootPay API key sent in the x-api-key header. Keys are
            environment-scoped: live_* for production, test_* for sandbox.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: List of payment methods retrieved successfully
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedResponse_BankPaymentMethodResponse_
servers:
  - url: https://api.useroot.com
    description: Production
components:
  schemas:
    SortOrder:
      type: string
      enum:
        - desc
        - asc
      description: Sort order for pagination endpoints.
      title: SortOrder
    CurrencyCode:
      type: string
      enum:
        - USD
        - GBP
        - INR
      title: CurrencyCode
    CountryCode:
      type: string
      enum:
        - US
        - GB
        - IN
      title: CountryCode
    VerificationStatus:
      type: string
      enum:
        - verified
        - pending
        - failed
      title: VerificationStatus
    Rails:
      type: string
      enum:
        - instant_card
        - instant_bank
        - same_day_ach
        - standard_ach
        - wire
        - '{''instant_card'', ''instant_bank''}'
        - '{''same_day_ach'', ''standard_ach''}'
        - '{''standard_ach'', ''wire''}'
      title: Rails
    BankPaymentMethodResponse:
      type: object
      properties:
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        id:
          type: string
          format: uuid
        payee_id:
          type:
            - string
            - 'null'
          format: uuid
        payer_id:
          type:
            - string
            - 'null'
          format: uuid
        account_last_four:
          type: string
        routing_number:
          type: string
        currency_code:
          $ref: '#/components/schemas/CurrencyCode'
        country_code:
          $ref: '#/components/schemas/CountryCode'
        verification_status:
          $ref: '#/components/schemas/VerificationStatus'
        is_default:
          type: boolean
        supported_rails:
          type: array
          items:
            $ref: '#/components/schemas/Rails'
        warning:
          type:
            - string
            - 'null'
      required:
        - created_at
        - updated_at
        - id
        - account_last_four
        - routing_number
        - currency_code
        - country_code
        - verification_status
        - is_default
        - supported_rails
      description: Shared response model for bank payment methods (both payee and payer).
      title: BankPaymentMethodResponse
    PaginatedResponse_BankPaymentMethodResponse_:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/BankPaymentMethodResponse'
        has_more:
          type: boolean
        total_count:
          type:
            - integer
            - 'null'
          default: 0
        next_cursor:
          type:
            - string
            - 'null'
        previous_cursor:
          type:
            - string
            - 'null'
      required:
        - data
        - has_more
      title: PaginatedResponse_BankPaymentMethodResponse_
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        RootPay API key sent in the x-api-key header. Keys are
        environment-scoped: live_* for production, test_* for sandbox.

```

## Examples



**Response**

```json
{
  "data": [
    {
      "created_at": "2024-03-20T12:00:00Z",
      "updated_at": "2024-03-20T12:00:00Z",
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "account_last_four": "7890",
      "routing_number": "021000021",
      "currency_code": "USD",
      "country_code": "US",
      "verification_status": "verified",
      "is_default": true,
      "supported_rails": [
        "same_day_ach",
        "standard_ach"
      ],
      "payer_id": "123e4567-e89b-12d3-a456-426614174000"
    }
  ],
  "has_more": false,
  "total_count": 1
}
```

**SDK Code**

```python Paginated payer payment methods
import requests

url = "https://api.useroot.com/api/payers/payer_id/payment-methods"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Paginated payer payment methods
const url = 'https://api.useroot.com/api/payers/payer_id/payment-methods';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Paginated payer payment methods
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.useroot.com/api/payers/payer_id/payment-methods"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Paginated payer payment methods
require 'uri'
require 'net/http'

url = URI("https://api.useroot.com/api/payers/payer_id/payment-methods")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Paginated payer payment methods
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.useroot.com/api/payers/payer_id/payment-methods")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Paginated payer payment methods
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.useroot.com/api/payers/payer_id/payment-methods', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Paginated payer payment methods
using RestSharp;

var client = new RestClient("https://api.useroot.com/api/payers/payer_id/payment-methods");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Paginated payer payment methods
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.useroot.com/api/payers/payer_id/payment-methods")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```